Updates a configuration of an installed add-on.

PUT /controller/v4/v2/add-ons/{installedAddonsID}/configs/{configID}

Authorizations

x-api-key string header required

Authorization for TigerGraph Savanna. Send the key in the x-api-key request header.

Create an API key

Path parameters

# installedAddonsID string path required

Installed Add-on ID

# configID string path required

Configuration ID

Body

# config_value string required

New value of the configuration.

Response

application/json
# Error boolean

Indicates whether the request returned an error.

# ErrorDetails object[]

Details about each error returned by the request.

Show child attributes Hide child attributes
FieldNamestring

Field associated with the error.

Reasonstring

Explanation of why the error occurred.

Typestring

Category of the error.

Available options: Internal-Error, Bad-Request, Not-Found, Forbidden, Unauthorized, API-Disabled, Quota-Exceed, Unknown

# Message string

Human-readable summary of the request result.

# RequestID string

Unique identifier for tracing the request.

# Result object

Payload returned by the request.